www-apache-bugdb mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ralf S. Engelschall" <...@engelschall.com>
Subject Re: os-solaris/3732: Apache 1.3.4 and mod_ssl-2.1.7-1.3.4 doesn't work with DSO support
Date Thu, 22 Apr 1999 11:10:00 GMT
The following reply was made to PR os-solaris/3732; it has been noted by GNATS.

From: "Ralf S. Engelschall" <rse@engelschall.com>
To: apbugs@apache.org
Cc:  Subject: Re: os-solaris/3732: Apache 1.3.4 and mod_ssl-2.1.7-1.3.4 doesn't work with
DSO support
Date: Thu, 22 Apr 1999 12:55:42 +0200

 In article <19990121095744.12619.qmail@hyperreal.org> you wrote:
 
 >>Synopsis:       Apache 1.3.4 and mod_ssl-2.1.7-1.3.4 doesn't work with DSO support
 > httpd: [Thu Jan 21 09:30:30 1999] [notice] child pid 1501 exit signal Segmentation Fault
(11)
 > gcc version 2.8.1
 > I use SSLeay-0.9.0b compiled for "solaris-sparc-gcc" with "-fPIC"
 > hotzenplotz:jewa> cd mod_ssl-2.1.7-1.3.4
 > hotzenplotz:jewa> ./configure --with-apache=../apache_1.3.4
 > hotzenplotz:jewa> setenv SSL_BASE /opt/ssl
 > hotzenplotz:jewa> ./configure --prefix=/opt/apache --sysconfdir=/etc/httpd --runtimedir=/var/httpd
\
 > --logfiledir=/var/httpd --enable-rule=SHARED_CORE --enable-module=most --enable-shared=max
\
 > --enable-module=ssl --enable-shared=ssl
 > Compiling without DSO support works.
 
 A lot of DSO-related problems were already fixed between 2.1 and 2.2.8 (the
 current mod_ssl version). Please try again with the trio Apache 1.3.6 +
 mod_ssl 2.2.8 + OpenSSL 0.9.2b.  It worked fine with DSO on my Solaris 2.6
 box...
                                        Ralf S. Engelschall
                                        rse@engelschall.com
                                        www.engelschall.com

Mime
View raw message